import java.io.IOException;

/** 
 *  @author Josh Hug
 */

import javax.sound.midi.MidiUnavailableException;

public class CheckedExceptionDemo {
    public static void throwUncheckedException() {
        throw new RuntimeException("as a joke");
    }

    public static void throwCheckedException() {
        try {
            throw new MidiUnavailableException("hi");
        } catch (Exception e) {
            System.out.println("psych!");
        }
    }

    /*public static void main(String[] args) {
        throwCheckedException();
    }*/

    public static void dangerMethod() throws IOException {
        throw new IOException();
    }

/*
    public static void main(String[] args) {
        dangerMethod();
    }*/

    /*public static void main(String[] args) {
        try {
            dangerMethod();
        } catch(IOException e) {
            System.out.println("Crisis averted");
        }
    }    */

    public static void main(String[] args) throws IOException {
        dangerMethod();
    }        
} 